#ifndef COMMSER_H
#define COMMSER_H

#include "Arduino.h"
#include "Ticker.h" //调用Ticker.h库
#include "FoodDeliveryBase.h"
#include "config.h"

extern void mqtt_receiveCallback(char *topic, byte *payload, unsigned int length);
extern void mavThread();
extern void pubThread();
extern void flashThread();
extern void writeRoute(String topicStr);
extern void mavlink_receiveCallback(uint8_t c);
extern String topicPub[];
extern int topicPubCount;
extern String topicPubMsg[];
extern String topicHandle[];
extern String oldMsg[];
extern FoodCube fc;		   // 创建项目对象
extern Ticker pubTicker;   // 定时发布主题 线程
extern Ticker mavTicker;   // 定时 指定飞控mavlink 串口返回的数据类别 防止飞控启动滞后
extern Ticker flashTicker; // 单片机主动 按钮主动发布主题 线程
#endif